function [T,p2,V2,dU,dW,dQ,dS,pv,Vv,Sv,Tv]= isoth(T,p1,V1,efall,wert,points )
%Berechnung des isothermen Schrittes
  R=8.314;
  n=p1*V1/R/T;
  
  switch efall
      case 2
        p2=wert;
      
        V2=n*R*T/p2;
      case 3
        V2=wert;
        
        p2=n*R*T/V2;
     
      otherwise
          error('falsche variable');
  end

  %Darstellung
  pv=linspace(p1,p2,points);
  Vv=n*R*T./pv;
  
  %Innere Energie
  dU=0; %ideales Gas, dT=0;
  
  %Arbeit
  dW=p1*V1*log(V1/V2);

  %W?rme
  dQ=-dW;
  
  %Entropie
  dS=dQ/T;
  
  %T-S - Diagramm
  S1=0;
  S2=S1+dS;
  
  Sv=linspace(S1,S2,points);
  Tv=T*ones(size(Vv));
  
  
end